Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::CgProgramFactory Class Reference

Factory class for Cg programs. More...

`#include <OgreCgProgramFactory.h>`

Inheritance diagram for Ogre::CgProgramFactory:

[legend]
List of all members.

## Public Methods

| CgProgramFactory ()
| ~CgProgramFactory ()
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (const String &name, GpuProgramType gptype)
void | destroy (HighLevelGpuProgram *prog)

## Protected Attributes

CGcontext | mCgContext

## Detailed Description

Factory class for Cg programs.

Definition at line 34 of file OgreCgProgramFactory.h.

## Constructor & Destructor Documentation

Ogre::CgProgramFactory::CgProgramFactory | ( |  | ) |

| Definition at line 34 of file OgreCgProgramFactory.cpp. References Ogre::checkForCgError(), and mCgContext.

Ogre::CgProgramFactory::~CgProgramFactory | ( |  | ) |

| Definition at line 42 of file OgreCgProgramFactory.cpp. References Ogre::checkForCgError(), and mCgContext.

## Member Function Documentation

HighLevelGpuProgram * Ogre::CgProgramFactory::create | ( | const String & | name,
|  | GpuProgramType | gptype
| ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory. Definition at line 55 of file OgreCgProgramFactory.cpp. References Ogre::GpuProgramType, mCgContext, Ogre::sLanguageName, and Ogre::String.

void Ogre::CgProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory. Definition at line 60 of file OgreCgProgramFactory.cpp.

const String & Ogre::CgProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

| Get the name of the language this factory creates programs for. Implements Ogre::HighLevelGpuProgramFactory. Definition at line 50 of file OgreCgProgramFactory.cpp. References Ogre::sLanguageName, and Ogre::String.

## Member Data Documentation

CGcontext Ogre::CgProgramFactory::mCgContext`[protected]`

| Definition at line 37 of file OgreCgProgramFactory.h. Referenced by CgProgramFactory(), create(), and ~CgProgramFactory().

The documentation for this class was generated from the following files:

- OgreCgProgramFactory.h
- OgreCgProgramFactory.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:15 2004